function U = cylBRF(P)
% IN  : P = coordinates of the voxel
% OUT : 

global r0;  % Radius of the sphere
global delta;
global B1

rho = sqrt(P'*P);
if rho<r0 % we compute the field inside 
  U=[0,0,0];
else     % we compute the field outside 
  x=P(1);y=P(2);z=P(3);
  U(2) = -2*x*y*B1*r0^2/(x^2+y^2)^2;
  U(1) = B1*r0^2*(x^2-y^2)/(x^2+y^2)^2;
  U(3) = 0;
end


